
%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

Name: perl-Compress-Zlib
Version: 1.42
Release: 1.fc6.XOS.1
Summary: A module providing Perl interfaces to the zlib compression library.
License: GPL or Artistic
Group: Development/Libraries
URL: http://search.cpan.org/dist/Compress-Zlib/
Source: ftp://cpan.org/pub/CPAN/authors/id/P/PM/PMQS/Compress-Zlib-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl >= 0:5.00503, zlib-devel

%description
The Compress::Zlib module provides a Perl interface to the zlib
compression library. Most of the functionality provided by zlib is
available in Compress::Zlib.

The module can be split into two general areas of functionality,
namely in-memory compression/decompression and read/write access to
gzip files.

%prep
%setup -q -n Compress-Zlib-%{version} 

%build
BUILD_ZLIB=False 
OLD_ZLIB=False
ZLIB_LIB=%{_libdir}
ZLIB_INCLUDE=%{_includedir}
export BUILD_ZLIB OLD_ZLIB ZLIB_LIB ZLIB_INCLUDE
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -rf %{buildroot}%{perl_archlib} \
       %{buildroot}%{perl_vendorarch}/auto/*{,/*{,/*}}/{.packlist,*.bs}

%files
%defattr(-, root, root, 0755)
%doc ANNOUNCE README
%doc %{_mandir}/man?/*
%{perl_vendorarch}/Compress/
%{perl_vendorarch}/auto/Compress/

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 1.42-1.fc6.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on perl-Compress-Zlib-1.42-1.fc6.src.rpm
  (md5sum of original source rpm: 2c23db3f35b87dc31ea5ba120e22c706).

* Mon Jul 17 2006 Jason Vas Dias <jvdias@redhat.com> - 1.42-1
- Upgrade to 1.42

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.41-2.1
- rebuild

* Mon Jun 05 2006 Jason Vas Dias <jvdias@redhat.com> - 1.41-2
- fix License: tag

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.41-1.2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.41-1.2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 1.41-1.2
- rebuild for new perl-5.8.8

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Sun Nov 06 2005 Florian La Roche <laroche@redhat.com>
- 1.41

* Fri Sep 02 2005 Steven Pritchard <steve@kspei.com> 1.37-1
- Update to 1.37 (#167471)

* Thu Mar 31 2005 Joe Orton <jorton@redhat.com> 1.34-2
- really delete the .bs file per #152536

* Thu Mar 31 2005 Joe Orton <jorton@redhat.com> 1.34-1
- update to 1.34; synch with Dag Wieers (#152536)
- BR zlib-devel (#137556)

* Wed Mar 30 2005 Warren Togami <wtogami@redhat.com>
- remove brp-compress

* Sat Mar 19 2005 Joe Orton <jorton@redhat.com> 1.33-7
- rebuild

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Apr 21 2004 Joe Orton <jorton@redhat.com> 1.33-5
- use system zlib

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Chip Turner <cturner@redhat.com> 1.33-1
- move to 1.33

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Mon Mar 25 2002 cturner@redhat.com
- Specfile autogenerated
